Bug 1687761 (CVE-2019-9687)

Summary: CVE-2019-9687 podofo: heap-based buffer overflow in function PdfString::ConvertUTF16toUTF8 in base/PdfString.cpp
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dan, manisandro
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:50:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1687766, 1687763, 1687764    
Bug Blocks:    

Description Dhananjay Arunesh 2019-03-12 10:33:26 UTC
PoDoFo 0.9.6 has a heap-based buffer overflow in PdfString::ConvertUTF16toUTF8 in base/PdfString.cpp.

Upstream commit:
https://sourceforge.net/p/podofo/code/1969

Comment 1 Dhananjay Arunesh 2019-03-12 10:34:04 UTC
Created mingw-podofo tracking bugs for this issue:

Affects: fedora-all [bug 1687764]


Created podofo tracking bugs for this issue:

Affects: fedora-all [bug 1687763]

Comment 2 Dhananjay Arunesh 2019-03-12 10:34:51 UTC
Created podofo tracking bugs for this issue:

Affects: epel-all [bug 1687766]

Comment 3 Product Security DevOps Team 2019-06-10 10:50:31 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.